/**
 * extension.c
 *
 * Andi Peng <andi.peng@yale.edu>
 * Section, Week 7
 * 
 * Prints the extension of a filename
 * 
 * Demonstrates usage of strrchr
 */
 
 #include <stdio.h>
 #include <string.h>
 #include <cs50.h>
 
 void extension (const char* s)
 {
    char* ptr = strrchr(s, '.');
    printf("%s\n", ptr);
 }
 
 int main(void)
 {
     char* s1 = "pset7.zip";
     char* s2 = "finalpaper.docx";
     
     extension(s1);
     extension(s2);
 }